JvmClasses (Gradle API 5.0)
Date: 2018-11-26

Package org.gradle.play

## Interface JvmClasses

- All Superinterfaces:
    `Buildable`, `BuildableComponentSpec`, `ComponentSpec`, `ModelElement`, `Named`

      @Incubating
      public interface JvmClasses
      extends BuildableComponentSpec

  A set of classes and resources that operate together.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addResourceDir​(java.io.File resourceDir)` | Add a resource directory to this binary.
    `java.io.File` | `getClassesDir​()` | The classes directory for this binary.
    `java.util.Set<java.io.File>` | `getResourceDirs​()` | A set of resource directories for this binary.
    `void` | `setClassesDir​(java.io.File classesDir)` | Sets the classes directory for this binary.

    - ### Methods inherited from interface org.gradle.api.Buildable

      `getBuildDependencies`

    - ### Methods inherited from interface org.gradle.api.BuildableComponentSpec

      `builtBy, getBuildTask, hasBuildDependencies, setBuildTask`

    - ### Methods inherited from interface org.gradle.platform.base.ComponentSpec

      `getProjectPath`

    - ### Methods inherited from interface org.gradle.model.ModelElement

      `getDisplayName, getName`

- - ### Method Detail

    - #### getClassesDir

          java.io.File getClassesDir​()

      The classes directory for this binary.

    - #### setClassesDir

          void setClassesDir​(java.io.File classesDir)

      Sets the classes directory for this binary.

    - #### getResourceDirs

          java.util.Set<java.io.File> getResourceDirs​()

      A set of resource directories for this binary.

    - #### addResourceDir

          void addResourceDir​(java.io.File resourceDir)

      Add a resource directory to this binary.